export abstract class JalhydObject {
    /**
    * id numérique unique
    */
    private _uid: number;

    /**
     * générateur d'id
     */
    private static _uidSequence: number = 0;

    constructor() {
        this._uid = JalhydObject.nextUID;
    }

    public get uid(): number {
        return this._uid;
    }

    public static get nextUID(): number {
        let res = this._uidSequence;
        this._uidSequence++;
        return res;
    }
}
